#!/bin/bash
#
# Copyright 2023 RnD Center "ELVEES", JSC

mpv_play()
{
    local title="$1"; shift
    local fname="$1"; shift

    if ! wmctrl -l | grep -q "$title"; then
        mpv --loop-file=inf --no-audio --no-terminal "$@" --title="$title" \
            "/opt/mcom03-demo/video/$fname" &
    fi
}

repeat_wmctrl()
{
    while true; do
        sleep 1
        wmctrl "$@" && break
    done
}

mpv_play Bullfinch "Bullfinch-2797.mp4" --geometry=-0+0
mpv_play Squirrel "Squirrel-2717.mp4" --geometry=-0-0

if ! wmctrl -l | grep -q "Терминал - top"; then
    if which xfce4-terminal >/dev/null 2>&1; then
        xfce4-terminal --title="Терминал - top" --hide-menubar --hide-scrollbar -x top &
    elif which mate-terminal >/dev/null 2>&1; then
        mate-terminal --title="Терминал - top" --hide-menubar -x top &
    elif which xterm >/dev/null 2>&1; then
        xterm -title "Терминал - top" top &
    fi
fi
repeat_wmctrl -r "Терминал - top" -e 0,600,30,-1,-1 &

if which myoffice-text >/dev/null 2>&1; then
    myoffice-text &
    repeat_wmctrl -r "Новый документ 1 - МойОфис" -e 0,500,450,1000,600 &
fi

if ! wmctrl -l | grep -q "СКИФ"; then
    firefox --window-size 900,700 --new-window "https://elvees.ru/chip/processors-multicore/skif" &
fi
repeat_wmctrl -r "СКИФ" -e 0,0,0,900,700 &
